<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- Creates a container element used to group HTML elements -->
<div>
	<header>
		<h1>HTML Tables and Forms</h1>
 	</header>
	</div>

<main>
	<section>
	
 	<h2>HTML entities</h2>
 	<p>
 		<em>Reserved characters in HTML (e.g. &lt; or &gt; that can mixed up with HTML codes </em>
 	
 	</p>

 	<!-- Defines an HTML table -->

 	<table border="1">

  	<!-- thead is used to groud table header content -->
 	<thead>
 		<!-- define table row -->
 		<tr>
 			<!-- Define  table header element -->
 			<th colspan="2">Entity</th>
 			<th>Description</th>
 		</tr>
 	</thead>

 	<tbody>
 		<tr>
 			<td>&lt;</td>
 			<td>lt</td>
 			<td>less than</td>
 		</tr>
 		<tr>		
 			<td>&gt;</td>
 			<td>gt</td>
 			<td>greater than</td>

 		</tr>

 	<tr>		
 			<td>&#8369;</td>
 			<td>#8369</td>
 			<td>peso sign</td>

 		</tr>

 	<tr>		
 			<td>&amp;</td>
 			<td>amp</td>
 			<td>ampersand</td>

 		</tr>

	<tr>		
 			<td>&quot;</td>
 			<td>quot</td>
 			<td>quote</td>

 		</tr>
 <tr>		
 			<td>&apos;</td>
 			<td>apos</td>
 			<td>single quotation mark(apostrophe)</td>

 		</tr>

	<tr>		
 			<td>&ntilde;</td>
 			<td>ntilde</td>
 			<td>Lower Tilde</td>

 		</tr>

	<tr>		
 			<td>&Ntilde;</td>
 			<td>Ntilde</td>
 			<td>Upper Tilde</td>

 		</tr>

 	</tbody>
 	<!-- Used to group table foooter content -->
 	<tfoot>
 		<th colspan="3">HTML entities</th>
 	</tfoot>

 </table>

 <p>HTML forms</p>

	<p>
	
 	<em>Input elements that make up a form.</em>

 	<!-- Creates an HTML form to capture user input -->
 	<form action="https://google.com">
 		<!-- Creates a label and allows for input field selection when clicked -->
 	<label for="full_name">Full Name:</label><br>
 	<input type="text" name="full_name" id="full_name" required autocomplete>
	<br>
	<label>Birth Date:</label><br>
	<input type="date" name="birth_date" required=><br>

	<label>Age:</label><br>
	<input type="number" name="age" required min="1" max="200"><br>

	<label>Gender:</label><br>
	<!-- Creates dropdown menu -->
	<select>
	<!-- Creates option for the dropdown -->
	<option value="--">--</option>
	<option value="Male">Male</option>
	<option value="Female">Female</option>
	</select><br>

	<label for="notes">Notes:</label><br>
 	<!-- Creaes a buttom that will submit the form data -->
	<textarea name="notes" rows="5" id="notes"></textarea><br>

	<!-- Radio button -->
	<label>New User:</label><br>
	<input type="radio" name="new_user" id="user-type1" value="yes">
	<label for="user-type1">Yes</label><br>

	<input type="radio" name="new_user" id="user-type2" value="no">
	<label for="user-type2">No</label><br>

	<!-- Checkboxes -->
	<label>Role:</label><br>

	<!-- Create multiple boxes for choices -->

	<input type="checkbox" name="role1" id="role1" value="developer">
	<label for="role1">Developer</label><br>

	<input type="checkbox" name="role2" id="role2" value="student">
	<label for="role1">Student</label><br>

	<input type="checkbox" name="role3" id="role3" value="Manager">
	<label for="role3">Manager</label><br>


 		<!-- Creattes a button that will submit the form data --><br>
 	<button type="submit">Submit</button>
 	<button type="reset">Reset</button>

 	</form>
 </section>		
 	</main>
</p>
</body>
</html>